# HL component 1 - Get (and Check) user input

# To Do
# Check a lowest is an integer (any integer)
# Check that highest is more than lowest (lower bound only)
# Check that rounds is more than 1 (upper bound only)
# Check that guess is between lowest and highest (lower and upper bound)


# Number checking function goes here
def intcheck(question, low = None, high = None):

    situation = ""

    if low is not None and high is not None:
        situation = "both"
    elif low is not None and high is None:
        situation = "low only"
    elif low is None and high is not None:
        situation = "high only"

    while True:

        try:
            response = int(input(question))

            # checks input is not too high or too low if a both upper and lower bounds are specified
            if situation == "both":
                if response < low or response > high:
                    print("Please enter a number between {} and {}".format(low, high))
                    continue
            # checks input is not below lower bound (if specified)
            elif situation == "low only":
                if response < low:
                    print("Please enter a number that is more than (or equal to) {}".format(low))
                    continue
            # checks input is not above upper bound (if specified)
            elif situation == "high only":
                if response > high:
                    print("Please enter a number that is more than (or equal to) {}".format(high))
                    continue

            return response

        # checks input is a integer
        except ValueError:
            print("Please enter an integer")
            continue

# Main routine

lowest = intcheck("Low Number: ")
highest = intcheck("High Number: ", lowest + 1)
rounds = intcheck("Rounds: ", 1)
guess = intcheck("Guess: ", lowest, highest)
