# CR Component 6v1 - Output second and third place
# Replaces car numbers with placing for winning car

# To do
# Create race function
# Call function to find first place
# Once we know who is first, replace numbers with '1st place'
# Find second (and third) call function but don't add steps to first place car

import random

# variables set up
distance = 10   # Replace with user input in due course
throws_needed = 0

# Create car strings (ie: car 1 to 6)
all_cars = []
for item in range (1,7):
    name = "car #{} | ".format(item)
    all_cars.append(name)

# races cars by 'adding' item to appropriate string
longest = ""
place_winners = []
while len(longest) < distance + len(name):
    dice_throw = random.randint(1,6)            # roll dice
    if dice_throw not in place_winners:
        all_cars[dice_throw-1] += str(dice_throw)   # Update string / car progress
    longest = max(all_cars, key=len)            # Check to see if we have a winner
    throws_needed += 1                          # Update 'time'

for item in all_cars:
    print(item, sep="")

winner_name = longest       # Get's longest item in sorted list
winner = winner_name[-1]    # targets car number
place_winners.append(winner)

print("The winner is car #{} in a 'time' of {} throws.".format(winner, throws_needed))
print()
input("Please press <enter>")

first = all_cars.index(longest)
all_cars[first] = "car #{} | 1st Place".format(winner)   # replaces #'s with placing

for item in all_cars:
    print(item, sep="")






