# CR Component 6v1 - Output second and third place
# Replaces car numbers with placing for winning car
# Finds second place winner...
# Prints 'winning' statement and time using function

import random


# Functions go here...
def race_cars(everyone, rolls, first_car=None, second_car=None):
    # races cars by 'adding' item to appropriate string
    longest = ""
    place_winners = [first_car, second_car]
    while len(longest) < distance + len(name):
        dice_throw = random.randint(1,6)                # roll dice

        if dice_throw not in place_winners:
            everyone[dice_throw-1] += "0"   # add '0' to show car progress
            rolls += 1      # count dice roll only if it is not in place_winner list
        longest = max(all_cars, key=len)            # update longest so while loop ends

    return [everyone, rolls]

def print_list(to_print):
    for item in to_print:
         print(item, sep="")

def print_place(everyone, time, status):
    place_name = max(everyone, key=len)       # Get's longest item in sorted list
    place = place_name[5]    # targets car number
    print("{}: car #{} \t Time: {} throws.".format(status, place, time))
    print()
    return place

def label_place(everyone, label):
    longest = max(everyone, key=len)
    first = everyone.index(longest)
    everyone[first] = label   # replaces #'s with placing
    return everyone

# Main Routine...

# variables set up
distance = 10   # Replace with user input in due course

# Create car strings (ie: car 1 to 6)
all_cars = []
for item in range (1,7):
    name = "car #{} | ".format(item)
    all_cars.append(name)

# Find First Place Winner
find_winner = race_cars(all_cars, 0, 0, 0)      # List of raced cars
all_cars = find_winner[0]
first_time = find_winner[1]
print_list(all_cars)    # outputs race diagram
winner = print_place(all_cars, first_time, "winner")  # outputs win statement

# Label 1st
all_cars = label_place(all_cars, "car #{} | * 1st *".format(winner))

input("Please press <enter>")

# Find Second Place
find_second = race_cars(all_cars, first_time, int(winner))    # List of cars for second
all_cars = find_second[0]
second_time = find_second[1]
print_list(all_cars)    # outputs race diagram
second = print_place(all_cars, second_time, "second place")

# Label 2nd
all_cars = label_place(all_cars, "car #{} | * 2nd *".format(second))

input("Please press <enter>")

# Find Third Place
find_third = race_cars(all_cars, second_time, int(winner), int(second))    # List of cars for third
all_cars = find_third[0]
third_time = find_third[1]
print_list(all_cars)    # output race diagram
third = print_place(all_cars, third_time, "third place")

