# CR - Component 1

# To Do
# Write introduction (or at least have a space for it)
# Ask user for # of dice and check it is 1 or 2


# Integer checking function goes here
def intcheck(question, low=None, high=None):

    # sets up error messages
    if low is not None and high is not None:
            error = "Please enter an integer between {} and {} " \
                    "(inclusive)".format(low, high)
    elif low is not None and high is None:
        error = "Please enter an integer that is more than or " \
                "equal to {}".format(low)
    elif low is None and high is not None:
        error = "Please enter an integer that is less than or " \
                "equal to {}".format(high)
    else:
        error = "Please enter an integer"

    while True:

        try:
            response = int(input(question))

            # Checks response is not too low
            if low is not None and response < low:
                print(error)
                continue

            # Checks response is not too high
            if high is not None and response > high:
                print(error)
                continue

            return response

        except ValueError:
            print(error)
            continue

# Main routine

# Introduction goes here

print("*** Car Racer Game ***")
print()
print("Instructions for playing game will go here.  This should only display once")
print()

num_dice = intcheck("How many dice should we use (1 or 2)? ", 1, 2)
