# CR Component 8
# Race cars using 2 dice (add numbers together too advance)

import random


# Functions go here...

# function below races cars.  Previous winners populates a list which prevents cars which have
# won / placed from continuing to race.  Status is the placing (win, 1st or 2nd) and rolls
# is needed to keep track of the 'time'.  Both previous winners and rolls are returned
# as a list so that these variables can be passed back into the function for the 2nd and 3rd places.
def race_them(competitors, previous_winners, status, rolls):

    # initialise local variables
    longest = ""
    place_winners = previous_winners

    while len(longest) < distance + len(name):
        dice_throw = random.randint(1,6) + random.randint(1,6)            # rolls two dice

        if dice_throw not in place_winners:
            competitors[dice_throw - 1] += "0"   # add '0' to show car progress
            rolls += 1      # count dice roll only if it is not in place_winner list
        longest = max(all_cars, key=len)            # update longest so while loop ends

        place = longest[5:7]

    used = int(place)
    place_winners.append(used)  # add place winners to list so car is out of race

    # Put in place...
    to_label = competitors.index(longest)
    competitors[to_label] = "car #{} | {}".format(place, status)

    # print diagram (shows Placing)
    for item in competitors:
        print(item, sep="")

    # print win statement
    print()
    print("{}: car #{} \t Time: {} throws".format(status, place, rolls))

    # Return rolls
    return [place_winners, rolls]   # use a list to return more than one piece of data!

# Main Routine...
# variables set up
distance = 10   # Replace with user input in due course

# Make cars...
# Create car strings (ie: car 1 to 12)
all_cars = []
for item in range (1, 13):
    # for single digit strings note the space between the # and the number
    if 1 <= item <= 9:
        name = "car # {} | ".format(item)
    else:
        name = "car #{} | ".format(item)
    all_cars.append(name)

find_winner = race_them(all_cars, [], "** 1st **", 0)
input("Please press <enter>")
find_second = race_them(all_cars, find_winner[0], "* 2nd *", find_winner[1])
input("Please press <enter>")
find_third = race_them(all_cars, find_second[0], "* 3rd *", find_second[1])
